Subject: Re: Response when no matching resource was found

From: Bernard Desruisseaux <[email-masked]>
Date: Thu, 16 Dec 2004 09:57:48 -0500

[ For those not subscribed to www-webdav-dasl, I've copied
the beginning of this thread at the end of this message. ]

Julian Reschke wrote:

> Bernard Desruisseaux wrote:
> 
>> The declaration of the DAV:multistatus element in RFC 2518
>> (section 12.9) specifies that at least one DAV:response
>> element must appear in a DAV:multistatus element.
>>
>> Is that an issue?
> 
> 
> It's an issue with the original definition, which has (or should have 
> been) updated in RFC3253 and RFC2518bis.
> 
> 
> Julian
> 

It's "should have been". :-)

RFC3253 simply makes reference to RFC 2518, Section 12.9
for the definition of multistatus.

RFC2518bis (-06) still declare DAV:multistatus as follow:

   <!ELEMENT multistatus (response+, responsedescription?)  >

Do you want to open an issue for each document, and perhaps
clarify in the search draft (although RFC2518bis should end
up being published before search) ?

Thanks,
Bernard

----------------------

Julian Reschke wrote:

 > Bernard Desruisseaux wrote:
 >
 >>
 >> What is SEARCH supposed to return as a response when
 >> no matching resource was found?
 >
 >
 >
 > Status 207 with an empty DAV:multistatus response element. This 
should follow from...:
<http://greenbytes.de/tech/webdav/draft-reschke-webdav-search-latest.html#rfc.section.2.3>
 > Julian

---

From: Julian Reschke <[email-masked]>
Date: Thu, 16 Dec 2004 16:25:26 +0100

> for the definition of multistatus.

Indeed. This probably is OK because all REPORTs defined in RFC3253 
indeed return at a minimum of one result.

The new REPORTs on RFC3744 (ACL) may return empty sets and explicitly 
say so.

> up being published before search) ?

The DTD fragments aren't normative anyway (thus RFC3744 doesn't attempt 
to modify them). It's arguable whether RFC2518 needs to be fixed. In a 
perfect world, RFC2518bis would be done soon and include the base 
definition for REPORT, but somehow I fear it won't happen in the 
foreseeable future.

Julian

-- 
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760

---

From: Lisa Dusseault <[email-masked]>
Date: Thu, 16 Dec 2004 08:56:21 -0800

Do any servers currently do this in responses to REPORT or SEARCH?   
Have they run into problems with clients who don't know how to  
interpret the result if the <multistatus> element is empty?  I wouldn't  
be surprised if there were problems.

Lisa

---

From: Julian Reschke <[email-masked]>
Date: Thu, 16 Dec 2004 18:02:31 +0100

> be surprised if there were problems.

I would (be surprised).

It's the nature of certain REPORTs and SEARCH that the result set can be 
empty, and a client that can't cope with it is simply broken.

Julian